## org.eclipse.emf.common.notify.impl
Class BasicNotifierImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl

All Implemented Interfaces:
  Notifier

Direct Known Subclasses:
  BasicEObjectImpl, NotifierImpl

    public class BasicNotifierImpl

extends java.lang.Object
implements Notifier

An extensible notifier implementation.

Nested Class Summary
`static class` `BasicNotifierImpl.EAdapterList<E extends java.lang.Object & Adapter>`

Constructor Summary
`BasicNotifierImpl()` Creates a blank new instance.

Method Summary
`EList<Adapter>` `eAdapters()` Returns list of the adapters associated with this notifier.
`protected BasicEList<Adapter>` `eBasicAdapters()` Returns the adapter list, even if it is `null`.
`boolean` `eDeliver()` Returns whether this notifier will deliver notifications to the adapters.
`boolean` `eNotificationRequired()` Returns whether `eNotify` needs to be called.
`void` `eNotify(Notification notification)` Notifies a change to a feature of this notifier as described by the notification.
`void` `eSetDeliver(boolean deliver)` Sets whether this notifier will deliver notifications to the adapters.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicNotifierImpl

    public BasicNotifierImpl()

  Creates a blank new instance.

Method Detail

### eAdapters

    public EList<Adapter> eAdapters()

  Description copied from interface: `Notifier`
  Returns list of the adapters associated with this notifier.

  Specified by:
    `eAdapters` in interface `Notifier`
  Returns:
    the adapters associated with this notifier.

### eBasicAdapters

    protected BasicEList<Adapter> eBasicAdapters()

  Returns the adapter list, even if it is `null`.

  Returns:
    the adapter list, even if it is `null`.

### eDeliver

    public boolean eDeliver()

  Description copied from interface: `Notifier`
  Returns whether this notifier will deliver notifications to the adapters.

  Specified by:
    `eDeliver` in interface `Notifier`
  Returns:
    whether notifications will be delivered.
  See Also:
    `Notifier.eSetDeliver(boolean)`

### eSetDeliver

    public void eSetDeliver(boolean deliver)

  Description copied from interface: `Notifier`
  Sets whether this notifier will deliver notifications to the adapters.

  Specified by:
    `eSetDeliver` in interface `Notifier`
  Parameters:
    `deliver` - whether or not to deliver.
  See Also:
    `Notifier.eDeliver()`

### eNotify

    public void eNotify(Notification notification)

  Description copied from interface: `Notifier`
  Notifies a change to a feature of this notifier as described by the notification. The notifications will generally be `delivered` to the `adapters` via `Adapter.notifyChanged`.

  Specified by:
    `eNotify` in interface `Notifier`
  Parameters:
    `notification` - a description of the change.

### eNotificationRequired

    public boolean eNotificationRequired()

  Returns whether `eNotify` needs to be called. This may return `true` even when `eDeliver` is `false` or when `eAdapters` is empty.

  Returns:
    whether `eNotify` needs to be called.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.